package org.gidea.scada.monitor.entity;


import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ScadaTxsbVo {
    /**
     * 通讯设备主键
     */
    private Long scadaTxsboid;

    /**
     * 驱动FK
     */
    private Long scadaDriverFk;

    /**
     * 驱动名称
     */
    private String drivername;

    /**
     * 驱动id
     */
    private String driverid;

    /**
     * 驱动类型 网口 串口 都有
     */
    private String xytype;

    /**
     * 设备编号
     */
    private String sbbh;

    /**
     * 设备名称
     */
    private String sbmc;

    /**
     * 备注
     */
    private String bz;

    /**
     * 设备IP
     */
    private String sbip;

    /**
     * 设备名称
     */
    private Integer sbport;

    /**
     * 设备com口
     */
    private String com;

    /**
     * 波特率
     */
    private Integer btl;

    /**
     * 扫描速率(ms)
     */
    private Integer smsl;

    /**
     * 创建时间
     */
    private LocalDateTime created;

    /**
     * 维护人外键
     */
    private Long sysLastUpdBy;

    /**
     * 维护人名称
     */
    private String whrmc;

    private LocalDateTime sysUpdUpd;

    /**
     * 接入方式
     */
    private String conntype;

    /**
     * 存储mongo名称
     */
    private String savetablename;

    /**
     * 是否需要校验 对应yhsz
     */
    private Boolean needcheck;

    /**
     * 连接账号
     */
    private String uid;

    /**
     * 连接密码
     */
    private String pwd;

    /**
     * 是否需要个性化配置 对应cpusz
     */
    private Boolean needopt;

    /**
     * cpu机架号
     */
    private Integer cpujj;

    /**
     * cpu插槽号 站号
     */
    private Integer cpucc;

    /**
     * 数据位
     */
    private Integer databit;

    /**
     * 停止位
     */
    private Integer stopbit;

    /**
     * 是否ABCD
     */
    private String isabcd;

    /**
     * 是否颠倒或翻转
     */
    private Boolean isfanz;

    /**
     * 首位从0开始
     */
    private Boolean startzero;

    /**
     * 采集端FK
     */
    private Long scadaCjdFk;

    /**
     * 采集端名称
     */
    private String scadaCjdName;

    /**
     * 项目fk
     */
    private Long scadaProjectFk;

    /**
     * 项目名称
     */
    private String scadaProjectName;

    /**
     * 设备分类外键",dataType = "Long
     */
    private Long scadaSbflFk;

    /**
     * 设备分类名称",dataType = "String
     */
    private String scadaSbflName;

    /**
     * mes设备编码",dataType = "String
     */
    private String mesSbid;

}
